Google Maps Posts API
API health status
Healthy Available Limited Mostly unavailable No data
Loading health status...
Get Google maps Posts data, including business post content, post dates and images, and profile-specific feeds, for local business monitoring and promotion tracking.
Tags: Google Maps
Parameters
| Name | Required | Type | Default | Description |
|---|---|---|---|---|
data_id | Yes | string | The unique Google Maps location ID (feature ID). You can get this from our Google Maps Search API. | |
next_page_token | No | string | Token used to retrieve the next page of business posts. |
Copy Request
bash
curl -X GET "https://api.justserpapi.com/api/v1/google/maps/posts?data_id=YOUR_VALUE" \
-H "X-API-Key: YOUR_API_KEY"js
const res = await fetch("https://api.justserpapi.com/api/v1/google/maps/posts?data_id=YOUR_VALUE", {
headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);python
import requests
url = "https://api.justserpapi.com/api/v1/google/maps/posts"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
"data_id": "YOUR_VALUE"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())php
<?php
$url = "https://api.justserpapi.com/api/v1/google/maps/posts?data_id=YOUR_VALUE";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
client := &http.Client{}
req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/maps/posts?data_id=YOUR_VALUE", nil)
req.Header.Set("X-API-Key", "YOUR_API_KEY")
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}Response
Loading the latest response example...
